package hu.bme.mit.inf.riflab.osgi.loglistener;
import org.osgi.service.log.LogEntry;
import org.osgi.service.log.LogListener;

/**
 * inspired by https://code.google.com/p/osgi-logging/wiki/UnderstandingTheOSGiLogging
 * @author istvanrath
 *
 */
public class MyLogListener implements LogListener {

	@Override
	public void logged(LogEntry entry) {
		if (entry.getMessage() != null) {
            System.out.println("[" + entry.getBundle().getSymbolicName() + "] " + entry.getMessage());
		}
	}

}
