package hu.bme.mit.inf.riflab.osgi.client;

import hu.bme.mit.inf.riflab.osgi.interfaces.IHelloWorldService;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.util.tracker.ServiceTracker;
import org.osgi.util.tracker.ServiceTrackerCustomizer;

public class Activator implements BundleActivator {

	private static BundleContext context;

	static BundleContext getContext() {
		return context;
	}

	@SuppressWarnings("rawtypes")
	ServiceTracker serviceTracker;

	@SuppressWarnings({ "rawtypes", "unchecked" })
	@Override
	public void start(BundleContext context) throws Exception {
		ServiceTrackerCustomizer customizer = new HelloworldServiceTrackerCustomizer(
				context);
		serviceTracker = new ServiceTracker(context, IHelloWorldService.class.getName(), customizer);
		serviceTracker.open();
	}

	@Override
	public void stop(BundleContext context) throws Exception {
		Activator.context = null;
		serviceTracker.close();
	}

}
