package hu.bme.mit.inf.riflab.osgi.impl;
import org.osgi.service.log.LogService;

import hu.bme.mit.inf.riflab.osgi.interfaces.IHelloWorldService;


public class AlternativeHelloWorldServiceImpl implements IHelloWorldService {

	@Override
	public void sayHello() {
		if (this.logService!=null) {
			this.logService.log(LogService.LOG_INFO, "Hello OSGi logging world!");
		}
	}
	
	private LogService logService;
	
	public void setLog(LogService ls) {
		this.logService = ls;
	}
	
	public void unsetLog(LogService ls) {
		this.logService = null;
	}

}
