package hu.bme.mit.inf.riflab.osgi.loglistener;

import java.util.HashMap;
import java.util.Map;

import org.osgi.service.log.LogReaderService;

/**
 * inspired by
 * http://ekkescorner.wordpress.com/2009/09/05/osgi-logging-part-5-listen-to-osgi-log-reader-with-declarative-services-ds/
 * 
 * @author istvanrath
 * 
 */
public class MyLogReader {

	Map<LogReaderService, MyLogListener> logReaderMap = new HashMap<>();
	
	public void addLogReaderService(LogReaderService aLogReaderService) {
		MyLogListener listener = new MyLogListener();
		logReaderMap.put(aLogReaderService, listener);
		aLogReaderService.addLogListener(listener);
	}

	public void removeLogReaderService(LogReaderService aLogReaderService) {
		aLogReaderService.removeLogListener(logReaderMap.get(aLogReaderService));
		logReaderMap.remove(aLogReaderService);
	}

}
